# Uses of Interface
java.lang.classfile.instruction.ExceptionCatch

Packages that use ExceptionCatch
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.instruction
Provides interfaces describing code instructions for the `java.lang.classfile` library.

## Uses of ExceptionCatch in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type ExceptionCatch
Modifier and Type
Method
Description
`List<ExceptionCatch>`
CodeModel.`exceptionHandlers()`
Returns the exception table of the method.

## Uses of ExceptionCatch in java.lang.classfile.instruction

Methods in java.lang.classfile.instruction that return ExceptionCatch
Modifier and Type
Method
Description
`static ExceptionCatch`
ExceptionCatch.`of(Label handler, Label tryStart, Label tryEnd)`
Returns an exception table pseudo-instruction to catch everything.
`static ExceptionCatch`
ExceptionCatch.`of(Label handler, Label tryStart, Label tryEnd, Optional<ClassEntry> catchTypeEntry)`
Returns an exception table pseudo-instruction.